<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="utf-8" %>
<%@include file="/WEB-INF/ehr/commons/jsp/commonInclude.jsp" %>

<script type="text/javascript">

    /* *************************** 模块初始化 ***************************** */
    var editorMenuAction = {
        //form
       // $form: $("#div_info_form"),
        validator: null,
        actionUrl: "${contextRoot}/menu/menuAction/addMenuAction",
        init: function () {

            this.initForm();
            this.bindEvents();
        },
        initForm: function () {
            var me = this;
            $("#pid").ligerComboBox({dict: true, dictName: "SYSTEM_MENU_PID"});

            //me.$form.attrScan();
            var modelString = "${model.id}";
            var data;
            if (modelString != undefined && modelString != null && modelString.length > 0) {
                data={
                    id: "${model.id}",

                    name: "${model.name}",
                    menuId: "${model.menuId}",
                    url: "${model.url}",
                    remark: "${model.remark}"
                };

                me.actionUrl = "${contextRoot}/menu/menuAction/updateMenuAction";
            }
            $("#div_info_form").ligerAutoForm({
                data:data,
                validate:{
                    url:"required",
                    menuId:"required",
                    name:"required",


                },

            });
        },
        bindEvents: function () {
            var me = this;
            $("#btnSave").click(function () {
                if (!$("#div_info_form").ligerAutoForm("validate")) {
                    return;
                }
                var data = $("#div_info_form").ligerAutoForm("getData");
                $.ajax({ //ajax处理
                    type: "POST",
                    url: me.actionUrl,
                    dataType: "json",
                    data: data,
                    cache: false,
                    success: function (data) {
                        if (data.successFlg) {
                            parent.menuAction.dialogSuccess(data.message);
                        }
                        else {
                            $.ligerDialog.error(data.message);
                        }
                    },
                    error: function (data) {
                        $.ligerDialog.error("Status:" + data.status + "(" + data.statusText + ")");
                    }
                });
            });

            $("#btnCancel").click(function () {
                parent.menuAction.dialog.close();
            });

        }
    };


    $(function () {
        editorMenuAction.init();

    });
</script>